ListContexts
Returns the context entries of a context store, and the version of the context entries. To get the context entries that were added or removed after this version, specify the returned VersionId in a ListContextChanges request. The context store must be in the AVAILABLE state.
Request Syntax
GET /context-stores/contextStoreId/contexts?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- contextStoreId
-
The ID of the context store.
Length Constraints: Minimum length of 0. Maximum length of 50.
Pattern:
^context-store-([0-9a-f]{8,17})$Required: Yes
- MaxResults
-
The maximum number of results to return.
Valid Range: Minimum value of 1. Maximum value of 500.
- NextToken
-
The token for the next page of results.
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"Contexts": [
{
"AttachmentType": "string",
"AvailabilityZone": "string",
"ContextId": "string",
"ContextType": "string",
"PublicId": "string",
"Region": "string",
"SegmentType": "string"
}
],
"NextToken": "string",
"VersionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- Contexts
-
The context entries.
Type: Array of ContextEntry objects
- NextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]* - VersionId
-
The version of the returned context entries. All pages of the same request return the same version.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed due to an internal error.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource could not be found.
- Context
-
The specified resource could not be found.
- ResourceId
-
The ID of the resource.
- ResourceType
-
The resource type.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints.
- Fields
-
The fields that caused the error, if applicable.
- Reason
-
The reason for the error.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: